dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

dnl	This option allows one to specifiy which command is to be used
dnl	as the C++ compiler.  If the option is not given, but the CXX
dnl	environment variable is defined to a non empty value, this value
dnl	will be used.  The default is "c++".

AC_DEFUN([WITH_CXX],
[
	CXXFLAGS="-g -Wall"  # default compilation options

	AC_ARG_WITH(cxx,
	[  --with-cxx=PROG               Specify program to use as C++ compiler [c++]],
	[
		# If some smart ass uses --without-cxx, then $withval is "no"
		# and we use the default value.
		if test "_$withval" = "_no"; then
			CXX=c++
		elif test "_$withval" = "_yes"; then
			CXX=c++
		else
			CXX=$withval
		fi
	],
	[
		# Option not given: nothing to do.  $CXX may already be set.
		true
	])

	AC_MSG_RESULT([using $CXX as C++ compiler])
])

dnl	This option allows one to specifiy the RPM release number.
dnl	This value will be used as the "Release:" field in the .spec file.
dnl	The default is 1.
dnl	Uses the value of the RPM_RELEASE environment variable if it is
dnl	defined and non empty.

AC_DEFUN([WITH_RPM_RELEASE],
[
	AC_ARG_WITH(rpm-release,
	[  --with-rpm-release=X    Specify RPM release number [1]],
	[
		if test "_$withval" = "_no"; then  # --without-cxx
			RPM_RELEASE=1  # not supported; use default
		elif test "_$withval" = "_yes"; then  # --with-cxx (no arg)
			RPM_RELEASE=1  # use default
		else
			RPM_RELEASE=$withval
		fi
	],
	[
		# Option not given: use default if $RPM_RELEASE not set
		if test -z "$RPM_RELEASE"; then
			RPM_RELEASE=1
		fi
	])

	AC_SUBST(RPM_RELEASE)

	AC_MSG_RESULT([using $RPM_RELEASE as RPM release number])
])

dnl AM_PATH_GENGAMENG(MIN-VERSION)
dnl
dnl Test for gengameng, and define GENGAMENG_PREFIX, GENGAMENG_CFLAGS
dnl and GENGAMENG_LIBS.
dnl Calls AC_MSG_ERROR() on failure.
dnl Offers the option --with-gengameng-prefix=DIR.  Default is /usr/local.
dnl
dnl Expects the AM_PATH_SDL to be found in sdl.m4, which should reside in
dnl /usr/share/aclocal/sdl.m4 if SDL was installed normally.
dnl
dnl Example: AM_PATH_GENGAMENG(4.0)
dnl

AC_DEFUN([AM_PATH_GENGAMENG],
[
	dnl Check for SDL (see sdl.m4 and http://www.libsdl.org/).
	dnl Temporarily set language to C because the AC_TRY_RUN() in
	dnl sdl.m4 must use cc instead of c++.

	MIN_GENGAMENG_VERSION=$1  # minimal gengameng version to require

	AC_LANG_C  

	SDL_VERSION=1.2.0
	AM_PATH_SDL($SDL_VERSION,
		:,
		AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!]))

	AC_LANG_CPLUSPLUS


	AC_MSG_CHECKING(for gengameng - version >= $MIN_GENGAMENG_VERSION)

	AC_ARG_WITH(gengameng-prefix,
	[  --with-gengameng-prefix=DIR  Dir prefix where gengameng library is installed],
	[
		_prefix=$withval
	],
	[
		if test -n "$GENGAMENG_PREFIX"; then
			_prefix="$GENGAMENG_PREFIX"
		elif test -d /usr/local/include/gengameng; then
			_prefix=/usr/local
		elif test -d /usr/include/gengameng; then
			_prefix=/usr
		else	
			AC_MSG_ERROR([could not find gengameng library; use --with-gengameng-prefix])
		fi
	])

	if test -f $_prefix/include/gengameng/GameEngine.h; then
		:
	else
		AC_MSG_ERROR([could not find $_prefix/include/gengameng/GameEngine.h;
gengameng devel files may not be installed; see BurgerSpace Home Page])
	fi

	if test -f $_prefix/lib/gengamengConf.sh; then
		. $_prefix/lib/gengamengConf.sh

		# Brackets used in next line for protection against m4:
		MINVER=`echo "$MIN_GENGAMENG_VERSION" | awk -F. '{ printf "%d", ([$]1 * 1000 + [$]2) * 1000 + [$]3;}'`
		ACTUAL=`echo "$MODULE_VERSION" | awk -F. '{ printf "%d", ([$]1 * 1000 + [$]2) * 1000 + [$]3;}'`
		if test "$ACTUAL" -ge "$MINVER"; then
			AC_MSG_RESULT([found $MODULE_VERSION])
		else
			AC_MSG_ERROR([gengameng >= $MIN_GENGAMENG_VERSION is required; found $MODULE_VERSION])
		fi

		unset MIN_GENGAMENG_VERSION
		unset MINVER
		unset ACTUAL
		unset MODULE_VERSION
	else
		AC_MSG_ERROR([cannot find the gengamengConf.sh file.  gengameng >= $MIN_GENGAMENG_VERSION is required])
	fi

	GENGAMENG_PREFIX="$_prefix"

	unset _prefix

	AC_SUBST(GENGAMENG_PREFIX)

	# These variables come from the gengamengConf.sh file:
	AC_SUBST(GENGAMENG_CFLAGS)
	AC_SUBST(GENGAMENG_LIBS)
])

# Configure paths for SDL
# Sam Lantinga 9/21/99
# stolen from Manish Singh
# stolen back from Frank Belew
# stolen from Manish Singh
# Shamelessly stolen from Owen Taylor

dnl AM_PATH_SDL([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl Test for SDL, and define SDL_CFLAGS and SDL_LIBS
dnl
AC_DEFUN(AM_PATH_SDL,
[dnl 
dnl Get the cflags and libraries from the sdl-config script
dnl
AC_ARG_WITH(sdl-prefix,[  --with-sdl-prefix=PFX   Prefix where SDL is installed (optional)],
            sdl_prefix="$withval", sdl_prefix="")
AC_ARG_WITH(sdl-exec-prefix,[  --with-sdl-exec-prefix=PFX Exec prefix where SDL is installed (optional)],
            sdl_exec_prefix="$withval", sdl_exec_prefix="")
AC_ARG_ENABLE(sdltest, [  --disable-sdltest       Do not try to compile and run a test SDL program],
		    , enable_sdltest=yes)

  if test x$sdl_exec_prefix != x ; then
     sdl_args="$sdl_args --exec-prefix=$sdl_exec_prefix"
     if test x${SDL_CONFIG+set} != xset ; then
        SDL_CONFIG=$sdl_exec_prefix/bin/sdl-config
     fi
  fi
  if test x$sdl_prefix != x ; then
     sdl_args="$sdl_args --prefix=$sdl_prefix"
     if test x${SDL_CONFIG+set} != xset ; then
        SDL_CONFIG=$sdl_prefix/bin/sdl-config
     fi
  fi

  AC_PATH_PROG(SDL_CONFIG, sdl-config, no)
  min_sdl_version=ifelse([$1], ,0.11.0,$1)
  AC_MSG_CHECKING(for SDL - version >= $min_sdl_version)
  no_sdl=""
  if test "$SDL_CONFIG" = "no" ; then
    no_sdl=yes
  else
    SDL_CFLAGS=`$SDL_CONFIG $sdlconf_args --cflags`
    SDL_LIBS=`$SDL_CONFIG $sdlconf_args --libs`

    sdl_major_version=`$SDL_CONFIG $sdl_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    sdl_minor_version=`$SDL_CONFIG $sdl_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    sdl_micro_version=`$SDL_CONFIG $sdl_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    if test "x$enable_sdltest" = "xyes" ; then
      ac_save_CFLAGS="$CFLAGS"
      ac_save_LIBS="$LIBS"
      CFLAGS="$CFLAGS $SDL_CFLAGS"
      LIBS="$LIBS $SDL_LIBS"
dnl
dnl Now check if the installed SDL is sufficiently new. (Also sanity
dnl checks the results of sdl-config to some extent
dnl
      rm -f conf.sdltest
      AC_TRY_RUN([
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "SDL.h"

char*
my_strdup (char *str)
{
  char *new_str;
  
  if (str)
    {
      new_str = (char *)malloc ((strlen (str) + 1) * sizeof(char));
      strcpy (new_str, str);
    }
  else
    new_str = NULL;
  
  return new_str;
}

int main (int argc, char *argv[])
{
  int major, minor, micro;
  char *tmp_version;

  /* This hangs on some systems (?)
  system ("touch conf.sdltest");
  */
  { FILE *fp = fopen("conf.sdltest", "a"); if ( fp ) fclose(fp); }

  /* HP/UX 9 (%@#!) writes to sscanf strings */
  tmp_version = my_strdup("$min_sdl_version");
  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
     printf("%s, bad version string\n", "$min_sdl_version");
     exit(1);
   }

   if (($sdl_major_version > major) ||
      (($sdl_major_version == major) && ($sdl_minor_version > minor)) ||
      (($sdl_major_version == major) && ($sdl_minor_version == minor) && ($sdl_micro_version >= micro)))
    {
      return 0;
    }
  else
    {
      printf("\n*** 'sdl-config --version' returned %d.%d.%d, but the minimum version\n", $sdl_major_version, $sdl_minor_version, $sdl_micro_version);
      printf("*** of SDL required is %d.%d.%d. If sdl-config is correct, then it is\n", major, minor, micro);
      printf("*** best to upgrade to the required version.\n");
      printf("*** If sdl-config was wrong, set the environment variable SDL_CONFIG\n");
      printf("*** to point to the correct copy of sdl-config, and remove the file\n");
      printf("*** config.cache before re-running configure\n");
      return 1;
    }
}

],, no_sdl=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
       CFLAGS="$ac_save_CFLAGS"
       LIBS="$ac_save_LIBS"
     fi
  fi
  if test "x$no_sdl" = x ; then
     AC_MSG_RESULT(yes)
     ifelse([$2], , :, [$2])     
  else
     AC_MSG_RESULT(no)
     if test "$SDL_CONFIG" = "no" ; then
       echo "*** The sdl-config script installed by SDL could not be found"
       echo "*** If SDL was installed in PREFIX, make sure PREFIX/bin is in"
       echo "*** your path, or set the SDL_CONFIG environment variable to the"
       echo "*** full path to sdl-config."
     else
       if test -f conf.sdltest ; then
        :
       else
          echo "*** Could not run SDL test program, checking why..."
          CFLAGS="$CFLAGS $SDL_CFLAGS"
          LIBS="$LIBS $SDL_LIBS"
          AC_TRY_LINK([
#include <stdio.h>
#include "SDL.h"
],      [ return 0; ],
        [ echo "*** The test program compiled, but did not run. This usually means"
          echo "*** that the run-time linker is not finding SDL or finding the wrong"
          echo "*** version of SDL. If it is not finding SDL, you'll need to set your"
          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
          echo "*** is required on your system"
	  echo "***"
          echo "*** If you have an old version installed, it is best to remove it, although"
          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
        [ echo "*** The test program failed to compile or link. See the file config.log for the"
          echo "*** exact error that occured. This usually means SDL was incorrectly installed"
          echo "*** or that you have moved SDL since it was installed. In the latter case, you"
          echo "*** may want to edit the sdl-config script: $SDL_CONFIG" ])
          CFLAGS="$ac_save_CFLAGS"
          LIBS="$ac_save_LIBS"
       fi
     fi
     SDL_CFLAGS=""
     SDL_LIBS=""
     ifelse([$3], , :, [$3])
  fi
  AC_SUBST(SDL_CFLAGS)
  AC_SUBST(SDL_LIBS)
  rm -f conf.sdltest
])

dnl
dnl	BEWARE: this macro must not be called GNOME_DESKTOP_ENTRY
dnl	if the AM_CONDITIONAL is named INSTALL_GNOME_DESKTOP_ENTRY.
dnl	It creates strange behavior.  The AM_CONDITIONAL line is
dnl	copied into the ./configure script, which then fails like this:
dnl
dnl	./configure: syntax error near unexpected token
dnl	`AM_CONDITIONAL(INSTALL_GNOME_DESKTOP_ENTRY,'
dnl	./configure: ./configure: line 1028:
dnl	`AM_CONDITIONAL(INSTALL_GNOME_DESKTOP_ENTRY,
dnl			test $gnome_desktop_entry = true)'
dnl

AC_DEFUN([WITH_GNOME_DESKTOP_ENTRY],
dnl Assigns the word yes or no to the shell variable gnome_desktop_entry.
[
	AC_ARG_WITH(gnome-desktop-entry,
		[  --with-gnome-desktop-entry  Install entry in GNOME menu],
		[
			#
			# If the option used is "--without-gnome-desktop-entry",
			# then $withval is "no".
			#
			if test "$withval" = ""; then  # if no argument, assume yes
				gnome_desktop_entry=yes
			elif test "$withval" = yes; then
				gnome_desktop_entry=yes
			else
				gnome_desktop_entry=no
			fi
		],
		[
			gnome_desktop_entry=yes  # yes by default
		])

	AC_MSG_RESULT(install GNOME desktop entry: $gnome_desktop_entry)
])

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

